# Cancel order-line-items of order processed by Ratepay Endpoint: POST /_action/order/{orderId}/ratepay/cancel Version: for the Ratepay SW6 module v7.x and above Security: oAuth ## Path parameters: - `orderId` (string, required) Identifier of the order ## Request fields (application/json): - `items` (array) Items to deliver/cancel/return - `items.id` (string, required) Identifier of order-line-item. Can be also shipping for the shipping item. Example: "a06c753d068c487991d6a833b4133560" - `items.quantity` (number, required) Identifier of order-line-item. Needs to be 1 if the item is the shipping-item. Example: 1 - `items.updateStock` (boolean, required) In case of cancellation or refund, this flag will return the cancelled/returned items back to stock. Will be ignored in case of delivery. Example: true ## Response 500 fields (application/json): - `status` (boolean) - `message` (string) Details about the error ## Response 204 fields ## Response 400 fields ## Response 404 fields